Subject: bug#7253: comment-dwim should easily allow mid-line comments

From: Stefan Monnier <[email-masked]>
Date: Thu, 21 Oct 2010 14:40:00 -0400

> Excellent question. One would think adding a prefix argument to M-;
> would be good... but that probably already is taken... and wait, M-; is
> bound to different commands in different modes...

No, M-; should usually not be rebound in major-mods.

> Yuck. E.g., as I write this it is bound to comment-region.

Sounds like a misfeature of the major mode you're using.  Can you give
us some details?

        Stefan